<?php
//----------------------------------------------------------------------------------------
//Include Header
//----------------------------------------------------------------------------------------

include_once("header.php");

//----------------------------------------------------------------------------------------
// Make sure username AND password entered
//----------------------------------------------------------------------------------------

if ((empty($_POST['user'])) || (empty($_POST['pass'])))
    {
    echo "<h3>Please enter your username and password</h3>";
    include_once("form.php");
    }

//----------------------------------------------------------------------------------------
// Check database for matching username & password
//----------------------------------------------------------------------------------------

else
    {
    try
        {
        require_once("dbinfo.inc.php");
        $sql  = "SELECT user,pass FROM logintab WHERE username = :username AND password = :password";
        $stmt = $pdo->prepare($sql);
        $stmt->execute(array(
            'username' => $_POST['user'],
            'password' => $_POST['pass']
        ));

        $result = $stmt->fetchAll();

        if (count($result))
            {
            session_start();
            $_SESSION['user_logged']   = $_POST['user'];
            $_SESSION['user_password'] = $_POST['pass'];
            die(header('Location:interface.php'));
            }

        //--------------------------------------------------------------------------------
        // Invalid login, go back to login form
        //--------------------------------------------------------------------------------

        else
            {
            echo "<h3>The username / password combination entered is incorrect!</h3>";
            include_once("form.php");
            } //End Else
        } //End Try

    //------------------------------------------------------------------------------------
    // Catch and display any errors
    //------------------------------------------------------------------------------------

    catch (PDOException $e)
        {
        //echo $e->getMessage();
        $error_msg = $e->getMessage() . ' in ' . $e->getFile() . ' on line ' . $e->getLine();

        echo '<div>' . $error_msg . '</div>';
        echo '<div';
        echo '' . $stmt->debugDumpParams() . '';
        echo '</div>';
        } //End Catch
    } //End Else

//----------------------------------------------------------------------------------------
//Include Form
//----------------------------------------------------------------------------------------

include_once("form.php");

//----------------------------------------------------------------------------------------
//Include Footer
//----------------------------------------------------------------------------------------

include_once("footer.php");
?>

 </body>
 </html>